Bug 653670 - [abrt] exaile-0.3.2.0-1.fc13: cdprefs.py:76:on_check_condition:ValueError: list.index(x): x not in list
Summary: [abrt] exaile-0.3.2.0-1.fc13: cdprefs.py:76:on_check_condition:ValueError: li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 13
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:179d1260
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 22:00 UTC by kocol
Modified: 2011-03-28 19:33 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:27:41 UTC


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2010-11-15 22:00 UTC, kocol
no flags Details

Description kocol 2010-11-15 22:00:38 UTC
abrt version: 1.1.13
architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.34.7-61.fc13.i686
package: exaile-0.3.2.0-1.fc13
reason: cdprefs.py:76:on_check_condition:ValueError: list.index(x): x not in list
release: Fedora release 13 (Goddard)
time: 1289858412
uid: 500

backtrace
-----
cdprefs.py:76:on_check_condition:ValueError: list.index(x): x not in list

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/preferences/widgets.py", line 182, in on_option_set
    if self.on_check_condition():
  File "/usr/share/exaile/plugins/cd/cdprefs.py", line 76, in on_check_condition
    formatinfo['raw_steps'].index(self.default)]
ValueError: list.index(x): x not in list

Local variables in innermost frame:
model: <gtk.ListStore object at 0x99b384c (GtkListStore at 0xae203418)>
format: 'MP3 (VBR)'
self: <cdprefs.OutputQualityPreference object at 0x99e6d6c>
formatinfo: {'raw_steps': [32, 48, 64, 96, 128, 160, 192, 224, 256, 320], 'extension': 'mp3', 'default': 160, 'kbs_steps': [32, 48, 64, 96, 128, 160, 192, 224, 256, 320], 'command': 'lame vbr=4 vbr-mean-bitrate=%i', 'plugins': ['lame'], 'desc': u'W\u0142asno\u015bciowy i starszy, lecz nadal popularny, stratny format audio. VBR daje wy\u017csz\u0105 jako\u015b\u0107 ni\u017c CBR, lecz mo\u017ce by\u0107 niekompatybilny z niekt\xf3rymi odtwarzaczami.'}

Comment 1 kocol 2010-11-15 22:00:41 UTC
Created attachment 460679 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:40:33 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-04 15:52:24 UTC
Package exaile-0.3.2.1-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-05 02:25:38 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13

Comment 5 Fedora Update System 2011-03-28 19:25:16 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-28 19:30:37 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.